Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.instance.node
Class StateNodeInstance

    java.lang.Object
      org.jbpm.workflow.instance.impl.NodeInstanceImpl
          org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
              org.jbpm.workflow.instance.node.StateBasedNodeInstance
                  org.jbpm.workflow.instance.node.CompositeNodeInstance
                      org.jbpm.workflow.instance.node.CompositeContextNodeInstance
                          org.jbpm.workflow.instance.node.StateNodeInstance

All Implemented Interfaces:
  Serializable, ContextableInstance, ContextInstanceContainer, EventBasedNodeInstanceInterface, EventNodeInstanceInterface, EventListener, NodeInstance, NodeInstanceContainer

    public class StateNodeInstance

extends CompositeContextNodeInstance
implements EventListener

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jbpm.workflow.instance.node.CompositeNodeInstance
`CompositeNodeInstance.CompositeNodeEndInstance, CompositeNodeInstance.CompositeNodeStartInstance`

Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`NodeInstanceImpl.NodeInstanceTrigger`

Field Summary

Fields inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance
`PARAMETER_MATCHER`

Constructor Summary
`StateNodeInstance()`

Method Summary
`void` | `activationCreated(MatchCreatedEvent event)`
`void` | `addEventListeners()`
`String[]` | `getEventTypes()` Returns the event types this event listener is interested in.
`protected StateNode` | `getStateNode()`
`void` | `internalTrigger(NodeInstance from, String type)`
`protected boolean` | `isLinkedIncomingNodeRequired()`
`void` | `removeEventListeners()`
`void` | `signalEvent(String type, Object event)` Signals that an event has occurred.

Methods inherited from class org.jbpm.workflow.instance.node.CompositeContextNodeInstance
`addContextInstance, getCompositeContextNode, getContextContainer, getContextInstance, getContextInstance, getContextInstance, getContextInstances, removeContextInstance, setContextInstance`

Methods inherited from class org.jbpm.workflow.instance.node.CompositeNodeInstance
`addNodeInstance, cancel, getCompositeNode, getCurrentLevel, getFirstNodeInstance, getIterationLevels, getLevelForNode, getNodeContainer, getNodeInstance, getNodeInstance, getNodeInstances, getNodeInstances, getNodeInstances, getNodeInstances, getState, internalTriggerOnlyParent, nodeInstanceCompleted, removeNodeInstance, setCurrentLevel, setProcessInstance, setState, triggerCompleted`

Methods inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance
`addTimerListener, checkProcessInstance, configureTimerInstance, createTimerInstance, getActivationType, getEventBasedNode, getTimerInstances, internalSetTimerInstances, triggerCompleted, triggerCompleted`

Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
`getExtendedNode, triggerCompleted, triggerEvent`

Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`executeAction, followConnection, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getUniqueId, getVariable, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setVariable, trigger, triggerConnection, triggerNode, triggerNodeInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateNodeInstance

    public StateNodeInstance()

Method Detail

### getStateNode

    protected StateNode getStateNode()

### internalTrigger

    public void internalTrigger(NodeInstance from,
                                String type)

  Overrides:
    `internalTrigger` in class `CompositeNodeInstance`

### isLinkedIncomingNodeRequired

    protected boolean isLinkedIncomingNodeRequired()

  Overrides:
    `isLinkedIncomingNodeRequired` in class `CompositeNodeInstance`

### signalEvent

    public void signalEvent(String type,
                            Object event)

  Description copied from interface: `EventListener`
  Signals that an event has occurred. The type parameter defines which type of event and the event parameter can contain additional information related to the event.

  Specified by:
    `signalEvent` in interface `EventNodeInstanceInterface`
  Specified by:
    `signalEvent` in interface `EventListener`
  Overrides:
    `signalEvent` in class `CompositeNodeInstance`
  Parameters:
    `type` - the type of event
    `event` - the data associated with this event

### addEventListeners

    public void addEventListeners()

  Specified by:
    `addEventListeners` in interface `EventBasedNodeInstanceInterface`
  Overrides:
    `addEventListeners` in class `CompositeNodeInstance`

### removeEventListeners

    public void removeEventListeners()

  Specified by:
    `removeEventListeners` in interface `EventBasedNodeInstanceInterface`
  Overrides:
    `removeEventListeners` in class `CompositeNodeInstance`

### getEventTypes

    public String[] getEventTypes()

  Description copied from interface: `EventListener`
  Returns the event types this event listener is interested in. May return `null` if the event types are unknown.

  Specified by:
    `getEventTypes` in interface `EventListener`
  Overrides:
    `getEventTypes` in class `StateBasedNodeInstance`

### activationCreated

    public void activationCreated(MatchCreatedEvent event)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.